# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer2.pm) perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Plack/Builder.pm) perl(Plack/Test.pm) perl(Redis.pm) perl(Safe/Isa.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(lib.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%filter_from_requires /^perl.t.TestApp.RedisMock.pm./d
%define module_name Dancer2-Plugin-Redis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Perl Dancer2 plugin for interaction with key-value-store Redis.
Group: Development/Perl
License: mit
URL: https://github.com/burnersk/Dancer2-Plugin-Redis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYSPETE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl Dancer2 plugin adds various Domain-specific language
(*dsl*) symbols to interact with Redis server configured in *config.yml*.

It uses the the Redis manpage module to communicate internally with the
Redis server. It also provides serialization features to store values which
are more than just simple scalars (*strings*). By default there is no
serialization used.

I wrote this with my colleague to cover the use cases we're having with our
own Dancer2 application. If you need additional functionality that is not included,
please don't hesitate and create a pull request on GitHub or just file your
feature request with the GitHub issue tracker.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES CONTRIBUTORS README.md LICENSE example
%perl_vendor_privlib/D*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- initial import by package builder

